IDE inspects scss files as css

Answered

RubyMine inspects scss files as css, and marks scss functions as unknown css functions

15 comments
Comment actions Permalink

Hello,

could you please specify what RubyMine version you use and what extension the file in question has. I checked it in the last 2017.1 RC and it looks fine (please check my screenshot). 

0
Comment actions Permalink

same here, in the year 2020

Rubymine 2019.3

How to fix?

0
Comment actions Permalink

What extension does this file have? What build do you use (Help > About)? 

0
Comment actions Permalink

.scss

build ..

i could find no "About" under Help-Menu

0
Comment actions Permalink

On MacOS it should be in the RubyMine menu.

0
Comment actions Permalink

you mean RubyMine 2019.3?

0
Comment actions Permalink

I mean the build, not version. Please attach a screenshot of About window.

0
Comment actions Permalink

@Christian, thanks! We're looking into the issue, I was able to reproduce it in RubyMine, though it works correctly in WebStorm. What kind of project is it? Is it a Web or Ruby project?

0
Comment actions Permalink

Thanks - Oksana!

Its Rails.

Thats my Gemfile

```

source 'https://rubygems.org'
git_source(:github) { |repo| "https://github.com/#{repo}.git" }

ruby '2.5.7'

gem 'rails', '~> 6.0.2', '>= 6.0.2.2'
gem 'pg', '~> 1.1.4'
gem 'puma', '~> 4.1'
gem 'sass-rails', '>= 6'
gem 'webpacker', '~> 4.0'
gem 'turbolinks', '~> 5'
gem 'jbuilder', '~> 2.7'
gem 'bcrypt', '~> 3.1.7'

gem 'bootsnap', '>= 1.4.2', require: false

gem 'byebug', platforms: [:mri, :mingw, :x64_mingw]
end

group :development do
gem 'web-console', '>= 3.3.0'
gem 'listen', '>= 3.0.5', '< 3.2'
# Spring speeds up development by keeping your application running in the background. Read more: https://github.com/rails/spring
gem 'spring'
gem 'spring-watcher-listen', '~> 2.0.0'

gem 'faker'

gem "capistrano", "~> 3.11", require: false
gem 'capistrano-bundler'
gem "capistrano-rails", "~> 1.4", require: false
gem 'capistrano-passenger', '>= 0.1.1'
gem 'rvm1-capistrano3', require: false
gem 'capistrano-rvm'
gem 'capistrano-multistage'
end

group :test do
gem 'capybara', '>= 2.15'
gem 'selenium-webdriver'
gem 'webdrivers'
end

gem 'tzinfo-data', platforms: [:mingw, :mswin, :x64_mingw, :jruby]
gem 'memorable_password', '~> 0.1.4'
gem 'strong_password', '~> 0.0.8'
gem 'simple_form', '~> 5.0', '>= 5.0.1'
gem 'letter_opener', '~> 1.7'
gem 'country_select'
gem 'audited', '~> 4.9'

```

 

0
Comment actions Permalink

Thanks! Please add sass gem.

0
Comment actions Permalink

thanks, now it works

first, i installed sassc, but didn't work. Same Error like above mentioned

why?

sass is deprecated and they say, sassc would be the best replacement

https://sass-lang.com/ruby-sass

 

0
Comment actions Permalink

Hello Christian,

could you please specify what kind of project you've created? Is it possible to take a look at it?

0
Comment actions Permalink

Dear Olga,

the gemfile is shown above.

Its a business-App, for a company.

do you mean, i should upload the code?

0
Comment actions Permalink

Ah, sorry, I missed that in the thread. I've tried to find where for example `map-get` is defined in sassc and found it only in sass gem.

0

Please sign in to leave a comment.